<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Curriculas
 *
 * @ORM\Table(name="curriculas", indexes={@ORM\Index(name="cve_lic", columns={"cve_lic"}), @ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_plan", columns={"cve_plan"})})
 * @ORM\Entity
 */
class Curriculas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cur", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCur;

    /**
     * @var boolean
     *
     * @ORM\Column(name="modalidad", type="boolean", nullable=false)
     */
    private $modalidad;

    /**
     * @var integer
     *
     * @ORM\Column(name="num_sem", type="integer", nullable=false)
     */
    private $numSem;

    /**
     * @var integer
     *
     * @ORM\Column(name="num_cua", type="integer", nullable=false)
     */
    private $numCua;

    /**
     * @var string
     *
     * @ORM\Column(name="clave", type="string", length=50, nullable=false)
     */
    private $clave;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_asignatura", type="string", length=100, nullable=false)
     */
    private $nomAsignatura;

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_curr", type="integer", nullable=false)
     */
    private $tipCurr;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=true)
     */
    private $estatus = 'NULL';

    /**
     * @var \Licenciaturas
     *
     * @ORM\ManyToOne(targetEntity="Licenciaturas")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_lic", referencedColumnName="ide_lic")
     * })
     */
    private $cveLic;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Planeaciones
     *
     * @ORM\ManyToOne(targetEntity="Planeaciones")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_plan", referencedColumnName="ide_plan")
     * })
     */
    private $cvePlan;



    /**
     * Get ideCur
     *
     * @return integer
     */
    public function getIdeCur()
    {
        return $this->ideCur;
    }

    /**
     * Set modalidad
     *
     * @param boolean $modalidad
     *
     * @return Curriculas
     */
    public function setModalidad($modalidad)
    {
        $this->modalidad = $modalidad;
    
        return $this;
    }

    /**
     * Get modalidad
     *
     * @return boolean
     */
    public function getModalidad()
    {
        return $this->modalidad;
    }

    /**
     * Set numSem
     *
     * @param integer $numSem
     *
     * @return Curriculas
     */
    public function setNumSem($numSem)
    {
        $this->numSem = $numSem;
    
        return $this;
    }

    /**
     * Get numSem
     *
     * @return integer
     */
    public function getNumSem()
    {
        return $this->numSem;
    }

    /**
     * Set numCua
     *
     * @param integer $numCua
     *
     * @return Curriculas
     */
    public function setNumCua($numCua)
    {
        $this->numCua = $numCua;
    
        return $this;
    }

    /**
     * Get numCua
     *
     * @return integer
     */
    public function getNumCua()
    {
        return $this->numCua;
    }

    /**
     * Set clave
     *
     * @param string $clave
     *
     * @return Curriculas
     */
    public function setClave($clave)
    {
        $this->clave = $clave;
    
        return $this;
    }

    /**
     * Get clave
     *
     * @return string
     */
    public function getClave()
    {
        return $this->clave;
    }

    /**
     * Set nomAsignatura
     *
     * @param string $nomAsignatura
     *
     * @return Curriculas
     */
    public function setNomAsignatura($nomAsignatura)
    {
        $this->nomAsignatura = $nomAsignatura;
    
        return $this;
    }

    /**
     * Get nomAsignatura
     *
     * @return string
     */
    public function getNomAsignatura()
    {
        return $this->nomAsignatura;
    }

    /**
     * Set tipCurr
     *
     * @param integer $tipCurr
     *
     * @return Curriculas
     */
    public function setTipCurr($tipCurr)
    {
        $this->tipCurr = $tipCurr;
    
        return $this;
    }

    /**
     * Get tipCurr
     *
     * @return integer
     */
    public function getTipCurr()
    {
        return $this->tipCurr;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return Curriculas
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cveLic
     *
     * @param \CmBundle\Entity\Licenciaturas $cveLic
     *
     * @return Curriculas
     */
    public function setCveLic(\CmBundle\Entity\Licenciaturas $cveLic = null)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return \CmBundle\Entity\Licenciaturas
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return Curriculas
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cvePlan
     *
     * @param \CmBundle\Entity\Planeaciones $cvePlan
     *
     * @return Curriculas
     */
    public function setCvePlan(\CmBundle\Entity\Planeaciones $cvePlan = null)
    {
        $this->cvePlan = $cvePlan;
    
        return $this;
    }

    /**
     * Get cvePlan
     *
     * @return \CmBundle\Entity\Planeaciones
     */
    public function getCvePlan()
    {
        return $this->cvePlan;
    }
}
